<?php

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Банды'; // заголовок страницы
error_reporting (0);
include_once '../sys/inc/thead.php';
title();
err();
aut();
//header("Content-type: application/vnd.wap.xhtml+xml");
header("Content-type: text/html");
echo "<center><div class='bdeg1'><img src='160_gunmaster.jpg' /></div></center><link rel='stylesheet' href='style.css' type='text/css' /><dl class='mai2n'>";

$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){

$action=htmlspecialchars(trim($_GET['action']));


switch ($action){


default:
if(!empty($user['gorod_band'])){
$x=mysql_query("SELECT * FROM `gorod_band` WHERE `name`='".$user['gorod_band']."'");
$x=mysql_fetch_assoc($x);
echo 'Банда: <font color="red">'.$x['name'].'</font><br/>';
echo 'Главарь: <font color="red">'.$x['glava'].'</font><br/>';
if($user['gorod_band_time']<time()){
echo'<dl class="mai2n">
<dt></dt>
<b><a href="grup.php?action=zp"><dt><img src="skr/026.png" />Получить зарплату</dt></a></b>
</TABLE></div>';
}else{
function maketime($string) {
if($string < 3600){
$string = sprintf("%02d:%02d", (int)($string / 60) % 60, $string % 60);
}else{
$string = sprintf("%02d:%02d:%02d", (int)($string / 3600) % 24, (int)($string / 60) % 60, $string % 60);
};
return $string;
};
echo'До зар-ты:<font color="red"> '.maketime($user['gorod_band_time']-time()).'</font><br/>';}

echo'<dl class="mai2n">
<dt></dt>
<b><a href="grup.php?action=sb"><dt><img src="skr/026.png" />Выйти из банды</dt></a></b>
</TABLE></div>';
};

$num=mysql_query("SELECT count(*) FROM `gorod_band`");
$num=mysql_fetch_array($num);
echo'<dl class="mai2n">
<dt></dt>
<b><a href="rband.php"><dt><img src="skr/026.png" />Peйтинг бaнд ('.$num[0].')</dt></a></b><b><a href="bandity.php"><dt><img src="skr/026.png" />Peйтинг бaндитoв</dt></a></b><b><a href="bandnap.php"><dt><img src="skr/026.png" />Разборки банд</dt></a></b><b><a href="rband.php?action=vstup"><dt><img src="skr/026.png" />Создать банду</dt></a></b>
</TABLE></div>';
break;




case 'zp':
if(!$user['gorod_band']){echo 'Вы не состоите в банде!';break;};
if($user['gorod_band_time']>time()){echo 'Вы уже получили зарплату! Приходите позже!';break;};
$x=mysql_query("SELECT * FROM `gorod_band` WHERE `name`='".$user['gorod_band']."'");
$x=mysql_fetch_assoc($x);

if($x['balans'] < $x['zarplata'])
{
echo'Извини друг но у банды нету денег чтобы выплатить зарплату<br/>';
}
else
{
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`+'".$x['zarplata']."',`gorod_band_time`='".(time()+80000)."' WHERE `id`='".$user['id']."'");
echo 'Зарплата выплачена в размере '.$x['zarplata'].'$<br/>';
}
echo '<dl class="mai2n">
<dt></dt>
<b><a href="grup.php?"><dt><img src="skr/026.png" />К бандам</dt></a></b>
</TABLE></div>';

break;


case 'sb':
mysql_query("UPDATE `user` SET `gorod_band`='',`gorod_band_time`='".time()."' WHERE `id`='".$user['id']."'");
mysql_query("DELETE FROM `gorod_band` WHERE `glava`='".$user['nick']."'");
$x=mysql_query("SELECT * FROM `gorod_band` WHERE `glava`='".$user['nick']."'");
if(mysql_query($x)>0){
mysql_query("UPDATE `user` SET `gorod_band`='' WHERE `gorod_band`='".$user['gorod_band']."'");
};
echo'Вы вышли из банды! (Ты теперь сам по себе!)<br/>';
break;


};
echo '<div class="msg"><a href="index.php">В игру</a></div></div>';
}else{echo '<div class="msg">Закрыто администратором!</div>';};

}else{
echo '<div class="msg">Доступно только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>